/*=========================================================================
 * DEVSgl3D.cpp :       Implementation of Singledevice 3D.
 * This is a part of the PCA project.
 *
 * Version                      1.0
 * Creation date        19/07/96
 * Revision date
 *
 *
 * (c) Ubi Studios 1996
 *=======================================================================*/

#include "stdafx.h"
#include "acp_base.h"
#include "geo.h"
#include "gli.h"
#include "itf/DEVSgl3D.hpp"

/////////////////////////////////////////////////////////////////////////////
// DEV_MultiDevice3D

IMPLEMENT_DYNCREATE(DEV_SingleDevice3D, DEV_MultiDevice3D)

BEGIN_MESSAGE_MAP(DEV_SingleDevice3D, DEV_MultiDevice3D)
    //{{AFX_MSG_MAP(DEV_SingleDevice3D)
    ON_WM_CREATE()
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DEV_SingleDevice3D construction/destruction
DEV_SingleDevice3D::DEV_SingleDevice3D() :
    DEV_MultiDevice3D(MD_ONEDEVICE)
{
}

DEV_SingleDevice3D::DEV_SingleDevice3D(int flags) :
    DEV_MultiDevice3D(flags | MD_ONEDEVICE)
{
}

DEV_SingleDevice3D::~DEV_SingleDevice3D()
{
}

/////////////////////////////////////////////////////////////////////////////
// DEV_SingleDevice3D message handlers

int DEV_SingleDevice3D::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
    if (DEV_MultiDevice3D::OnCreate(lpCreateStruct) == -1)
            return -1;
    return 0;
}

